UserAuthorizationsResponse

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.message.receive.java
Class UserAuthorizationsResponse

    java.lang.Object
      org.openswing.swing.message.receive.java.Response
          org.openswing.swing.message.receive.java.UserAuthorizationsResponse

All Implemented Interfaces:
  java.io.Serializable

public class UserAuthorizationsResponse
extends Response

Title: OpenSwing Framework

Description: Message received by the server side: it contains

- buttons authorizations
- functions menu authorizations

  Copyright: Copyright (C) 2006 Mauro Carniel

  This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

  See Also:
    Serialized Form

  Constructor Summary
  `UserAuthorizationsResponse(ButtonsAuthorizations ba, javax.swing.tree.DefaultTreeModel model)`

  Method Summary
  `ButtonsAuthorizations` | `getBa()`
  `javax.swing.tree.DefaultTreeModel` | `getDefaultTreeModel()`
  `java.lang.String` | `getErrorMessage()`
  `boolean` | `isError()`

  Methods inherited from class org.openswing.swing.message.receive.java.Response
  `getSessionId, setSessionId`

  Methods inherited from class java.lang.Object
  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### UserAuthorizationsResponse

      public UserAuthorizationsResponse(ButtonsAuthorizations ba,
                                        javax.swing.tree.DefaultTreeModel model)

  Method Detail

  ### getBa

      public ButtonsAuthorizations getBa()

  ### getDefaultTreeModel

      public javax.swing.tree.DefaultTreeModel getDefaultTreeModel()

  ### isError

      public final boolean isError()

    Specified by:
      `isError` in class `Response`
    Returns:
      `true` if an error occours, `false` otherwise

  ### getErrorMessage

      public final java.lang.String getErrorMessage()

    Specified by:
      `getErrorMessage` in class `Response`
    Returns:
      error message

  Overview | Package | Class | Tree | Deprecated | Index | Help

  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD